Bug 130479 - spam filters get removed when changing other privacy pages
spam filters get removed when changing other privacy pages
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2004-08-20 15:11 EDT by Russell King
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-14 16:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell King 2004-08-20 15:11:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
If you enter some header_filter_rules in the mailman admin pages
(Privacy->Spam filters) and click "submit" they are added to the
list configuration database.

However, if you now go to one of the other Privacy pages and click
"submit" and return to the Spam Filters page, you'll find that your
header_filter_rules settings have been removed.

This appears to be caused by the handleForm function in
~mailman/Mailman/Gui/Privacy.py not checking to see which subsection
is being submitted before processing the data for and setting the
mlist.header_filter_rules list configuration variable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create list.
2. Go to the Privacy->Spam filters page, add some header_filter_rules
and hit submit.
3. Go to the Privacy->Sender filters page but don't hit submit
4. Go back to Spam filters and note that they're still present
5. Return to Sender filters and hit submit
6. Go back to Spam filters and note that they've been removed.

Actual Results:  All spam filters are removed.

Expected Results:  Spam filter settings should be retained.

Additional info:
Comment 1 John Dennis 2004-08-31 17:09:10 EDT
Promoted to upstream as bug:


Note You need to log in before you can comment on or make changes to this bug.